ALTER TABLE CONTRACT_BERTH
DROP CONSTRAINT CONTRACT_BERTH_UNIQUE;

INSERT INTO CONTRACT_BERTH(ID_CONTRACT_BERTH, ID_POGODBE, ID_PRIVEZ)
SELECT CONTRACT_BERTH_SEQ.NEXTVAL, P.ID_POGODBE, P.ID_PRIVEZ
FROM PRIVEZI P WHERE P.ID_POGODBE IS NOT NULL AND P.ID_PRIVEZ IS NOT NULL
AND NOT EXISTS (SELECT CB.ID_CONTRACT_BERTH FROM CONTRACT_BERTH CB WHERE CB.ID_POGODBE = P.ID_POGODBE AND CB.ID_PRIVEZ = P.ID_PRIVEZ);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1278, SYSDATE, '5.5', 1198, 'Contract berth')
;
