ALTER TABLE PAYMENT_RESPONSE
ADD CONTENT CLOB;

ALTER TABLE PAYMENT_RESPONSE
ADD CONTENT_FILE_EXTENSION VARCHAR2(3 CHAR);

ALTER TABLE PAYMENT_RESPONSE
ADD CONTENT_FILE_REFERENCE VARCHAR2(20 CHAR);

CREATE TABLE PAYMENT_REQUEST (
  ID NUMBER NOT NULL,
  REQUEST_DATE DATE,
  CONTENT CLOB,
  CONTENT_FILE_EXTENSION VARCHAR2(3 CHAR),
  CONTENT_FILE_REFERENCE VARCHAR2(20 CHAR),
  CONSTRAINT PAYMENT_REQUEST_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE PAYMENT_REQUEST_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE PAYMENT_RESPONSE
ADD ID_PAYMENT_REQUEST NUMBER;

ALTER TABLE PAYMENT_RESPONSE
ADD CONSTRAINT PAYMENT_RESPONSE_REQUEST_FK FOREIGN KEY (ID_PAYMENT_REQUEST) REFERENCES PAYMENT_REQUEST(ID);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1910, SYSDATE, '5.5', 1830, 'Payment request')
;
