CREATE TABLE FB_DISCOUNT (
  ID_FB_DISCOUNT NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(200 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(200 CHAR),
  PERCENTAGE NUMBER,
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT FB_DISCOUNT_PK PRIMARY KEY (ID_FB_DISCOUNT)
);

CREATE SEQUENCE FB_DISCOUNT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE FB_NOTE_TYPE (
  ID_FB_NOTE_TYPE NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(200 CHAR),
  INTERNAL_DESCRIPTION VARCHAR2(200 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT FB_NOTE_TYPE_PK PRIMARY KEY (ID_FB_NOTE_TYPE)
);

INSERT INTO FB_NOTE_TYPE(ID_FB_NOTE_TYPE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
(1, 'Wastage', 'Wastage', 'Y');

CREATE SEQUENCE FB_NOTE_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 20 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE FB_NOTE
ADD TYPE NUMBER;

ALTER TABLE FB_NOTE
ADD CONSTRAINT FB_NOTE_TYPE_FK FOREIGN KEY (TYPE)
REFERENCES FB_NOTE_TYPE(ID_FB_NOTE_TYPE);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2074, SYSDATE, '5.5', 1994, 'FB discount')
;
