ALTER TABLE M_DE_NA
ADD PLANING VARCHAR2(1 CHAR);

ALTER TABLE M_DE_NA
ADD TIMELINE NUMBER;

CREATE INDEX IX_M_DE_NA_TIMELINE ON M_DE_NA (TIMELINE);

ALTER TABLE SERVIS_VIRI
ADD ID_DN NUMBER;

ALTER TABLE SERVIS_PLAN
ADD STATUS VARCHAR2(1 CHAR);

DROP VIEW V_SERVISPLAN;

CREATE VIEW V_SERVISPLAN AS
SELECT A.ID_SERVIS, A.ID_SERVIS_PLAN, A.DATUM, A.URA_OD, A.URA_DO, A.URE, A.VIR, A.ID_SERVIS_VIRI, A.ID_VIRA, A.FIXED,
A.KOMENTAR, A.STATUS, B.ID_DN, B.STATUS AS STATUSSV, B.VRSTA, B.TIMELINE, C.PLANING, C.TIMELINE AS TIMELINEDN
FROM 
SERVIS_PLAN A
LEFT OUTER JOIN SERVIS_VIRI B ON A.ID_SERVIS_VIRI=B.ID_SERVIS_VIRI
LEFT OUTER JOIN M_DE_NA C ON B.ID_DN=C.ID_DN
ORDER BY A.ID_SERVIS, A.ID_VIRA, A.URA_OD
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (320, SYSDATE, '5.5', 240, 'Popravek 227');