ALTER TABLE PLOVILA_ORDER
DROP CONSTRAINT PLOVILA_ORDER_NNCOFFEE_FK;

ALTER TABLE PLOVILA_ORDER
DROP CONSTRAINT PLOVILA_ORDER_NNNEWSPAPER_FK;

ALTER TABLE PLOVILA_ORDER
DROP COLUMN NNCOFFEE;

ALTER TABLE PLOVILA_ORDER
DROP COLUMN COFFEE_COMMENT;

ALTER TABLE PLOVILA_ORDER
DROP COLUMN NNNEWSPAPER;

ALTER TABLE PLOVILA_ORDER
DROP COLUMN NEWSPAPER_COMMENT;

ALTER TABLE PLOVILA_ORDER
ADD KOMENTAR VARCHAR2(500 CHAR);

ALTER TABLE PLOVILA_ORDER
ADD AKT VARCHAR2(1 CHAR);

CREATE TABLE NNCOMPLIMENTARY (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNCOMPLIMENTARY_PK PRIMARY KEY (SIFRA)
);

ALTER TABLE PLOVILA_ORDER
ADD NNCOMPLIMENTARY VARCHAR2(3 CHAR);

ALTER TABLE PLOVILA_ORDER
ADD CONSTRAINT PLOVILA_ORDER_NNCOMPL_FK FOREIGN KEY (NNCOMPLIMENTARY) REFERENCES NNCOMPLIMENTARY(SIFRA);

CREATE OR REPLACE VIEW V_PLOVILA_ORDER
AS (
SELECT PO.ID AS ID_PLOVILA_ORDER, PO.ID_PLOVILA, PO.NNCOMPLIMENTARY, PO.KOMENTAR, PO.AKT,
P.IME AS PLOVILA_IME, N.OPIS AS NNCOMPLIMENTARY_OPIS, N.INTERNI_OPIS AS NNCOMPLIMENTARY_INTERNI_OPIS
FROM PLOVILA_ORDER PO
LEFT OUTER JOIN PLOVILA P ON P.ID = PO.ID_PLOVILA
LEFT OUTER JOIN NNCOMPLIMENTARY N ON N.SIFRA = PO.NNCOMPLIMENTARY
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (652, SYSDATE, '5.5', 572, 'Coffee newspaper');