ALTER TABLE NNPAYMENT_SYSTEM
ADD SIFRA VARCHAR2(2 CHAR);

UPDATE NNPAYMENT_SYSTEM
SET SIFRA = 'MW'
WHERE LOWER(OPIS) LIKE '%merchant%' OR LOWER(INTERNI_OPIS) = '%merchant%';

UPDATE NNPAYMENT_SYSTEM
SET SIFRA = 'PP'
WHERE LOWER(OPIS) LIKE '%paypal%' OR LOWER(INTERNI_OPIS) = '%paypal%';

INSERT INTO NNPAYMENT_SYSTEM(ID, SIFRA, OPIS, INTERNI_OPIS, AKT)
SELECT NNPAYMENT_SYSTEM_SEQ.NEXTVAL, 'MW', 'Marchant Warrior', 'Marchant Warrior', 'Y' FROM DUAL
WHERE NOT EXISTS (SELECT * FROM NNPAYMENT_SYSTEM WHERE LOWER(OPIS) LIKE '%merchant%' OR LOWER(INTERNI_OPIS) = '%merchant%');

INSERT INTO NNPAYMENT_SYSTEM(ID, SIFRA, OPIS, INTERNI_OPIS, AKT)
SELECT NNPAYMENT_SYSTEM_SEQ.NEXTVAL, 'PP', 'Paypal', 'Paypal', 'Y' FROM DUAL
WHERE NOT EXISTS (SELECT * FROM NNPAYMENT_SYSTEM WHERE LOWER(OPIS) LIKE '%paypal%' OR LOWER(INTERNI_OPIS) = '%paypal%');

INSERT INTO NNPAYMENT_SYSTEM(ID, SIFRA, OPIS, INTERNI_OPIS, AKT)
SELECT NNPAYMENT_SYSTEM_SEQ.NEXTVAL, 'FW', 'Freeway', 'Freeway', 'Y' FROM DUAL
WHERE NOT EXISTS (SELECT * FROM NNPAYMENT_SYSTEM WHERE LOWER(OPIS) LIKE '%freeway%' OR LOWER(INTERNI_OPIS) = '%freeway%');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1011, SYSDATE, '5.5', 931, 'Payment system');