CREATE UNIQUE INDEX IX_NNIMPORT_COLUMNS1 ON NNIMPORT_COLUMNS (NNIMPORT_CODE, COLUMN_NAME)
;

INSERT INTO NNIMPORT (CODE, DESCRIPTION, DATA_TYPE, TABLE_NAME)
values
('DSP', 'DSP Pricelist', 'ASCII', 'S_ARTIKLI');

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'SIFRA_DOB', 'Y', 1, 15, 'S', null);

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'NAZIV', 'N', 17, 20, 'S', null);

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'NAZIV1', 'N', 17, 20, 'S', null);

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'CENA_SKL', 'N', 37, 11, 'N', '0');

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'ID_ENOTA', 'N', 53, 5, 'S', 'KS');

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'ID_DAVEK', 'N', 0, 0, 'L', '3');

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'STOCKS', 'N', 0, 0, 'S', 'Y');

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'VRSTA', 'N', 0, 0, 'S', 'A');

INSERT INTO NNIMPORT_COLUMNS (ID, NNIMPORT_CODE, COLUMN_NAME, IS_COL_PK, DATA_POSITION, DATA_LENGTH, DATA_TYPE, DEFAULT_VALUE)
values
(NNIMPORT_COLUMNS_SEQ.NEXTVAL, 'DSP', 'V_UPORABI', 'N', 0, 0, 'S', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1257, SYSDATE, '5.5', 1177, 'Import')
;
