CREATE TABLE YACHT_CLUB(
ID_YACHT_CLUB NUMBER NOT NULL,
STORITEV VARCHAR2(6 CHAR),
POPUST NUMBER,
USER_KREIRANJA VARCHAR2(20 CHAR),
DATUM_KREIRANJA DATE,
USER_SPREMEMBE VARCHAR2(20 CHAR),
DATUM_SPREMEMBE DATE,
ACT VARCHAR2(1 CHAR),
PRIMARY KEY (ID_YACHT_CLUB));

CREATE SEQUENCE ID_YACHT_CLUB START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER ID_YACHT_CLUB_autoinc
BEFORE INSERT
ON YACHT_CLUB
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
SELECT ID_YACHT_CLUB.nextval INTO :NEW.ID_YACHT_CLUB FROM dual;;
END;;
;

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('YACHT_CLUB','STORITEV','M_NNSTOMAR','SIFRA','S','OPIS','S');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (233, SYSDATE, '5.5', 153, 'YACHT CLUB');