ALTER TABLE BERTH_SUBLEASE
ADD STATUS NUMBER DEFAULT 1;

ALTER TABLE BERTH_SUBLEASE
ADD SOURCE VARCHAR2(5 CHAR);

DROP VIEW V_BERTH_SUBLEASE;

CREATE OR REPLACE VIEW V_BERTH_SUBLEASE AS (
SELECT BS.ID, BS.ID_PRIVEZ, BS.ID_LASTNIKA, BS.ID_CARDS, BS.DATE_FROM, BS.DATE_TO, BS.DATE_CREATED, BS.USER_CREATED, BS.DATE_CHANGED, BS.USER_CHANGED, BS.STATUS,
NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, NP.SORT AS NNPRIVEZ_SORT, NP.SORT_PRIKAZ AS NNPRIVEZ_SORT_PRIKAZ, NP.SUBLEASE AS NNPRIVEZ_SUBLEASE, 
PO.NAZIV AS NNPOMOL_NAZIV, PO.NNLOCATION_ID, NC.OPIS AS NNCARDS_OPIS, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM BERTH_SUBLEASE BS
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = BS.ID_PRIVEZ
LEFT OUTER JOIN NNPOMOL PO ON PO.SIFRA = NP.KATEGORIJA
LEFT OUTER JOIN KUPCI K ON K.ID = BS.ID_LASTNIKA
LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = BS.ID_CARDS
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1830, SYSDATE, '5.5', 1750, 'Berth sublease')
;
