ALTER TABLE SC_EVENTPAR
ADD PAYMENT_DATE DATE;

CREATE OR REPLACE VIEW V_SC_EVENTPAR AS (
	SELECT DISTINCT E.ID AS SC_EVENTPAR_ID, E.SC_EVENT_ID, E.KUPCI_ID, E.DISCOUNT, E.ID_STORITVE, E.STATUS, E.SC_PRICETYPE_ID AS SC_PRICETYPE_ID, E.PAYER_ID AS PAYER_ID, E.PAYMENT_DATE,
  N.OPIS AS NNTITLE_OPIS, N.INTERNI_OPIS AS NNTITLE_INTERNI_OPIS, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, 
  K.ID_MEMBER AS KUPCI_ID_MEMBER, K.YACHT_CLUB_ID AS KUPCI_YACHT_CLUB_ID, M.N_RACUNA AS M_STORITVE_N_RACUNA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  SE.NAME AS SC_PRICETYPE_NAME, SE.INTERNAL_NAME AS SC_PRICETYPE_INTERNAL_NAME,
  P.IME AS PAYER_IME, P.PRIIMEK AS PAYER_PRIIMEK, P.ID_MEMBER AS PAYER_ID_MEMBER, P.YACHT_CLUB_ID AS PAYER_YACHT_CLUB_ID
	FROM SC_EVENTPAR E
  LEFT OUTER JOIN KUPCI K ON K.ID = E.KUPCI_ID
  LEFT OUTER JOIN NNTITLE N ON N.SIFRA = K.NTITLE
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = E.ID_STORITVE
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_STORITVE = E.ID_STORITVE AND (R.ZAP_ST IS NULL OR R.ZAP_ST = 1)
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = R.ID_SALDKONT 
  LEFT OUTER JOIN SC_EVPRICETYPE SE ON SE.ID = E.SC_PRICETYPE_ID 
  LEFT OUTER JOIN KUPCI P ON P.ID = E.PAYER_ID
);

ALTER TABLE SC_EVENTPARATT
ADD PAYMENT_DATE DATE;

CREATE OR REPLACE VIEW V_SC_EVENTPARATT AS (
	SELECT DISTINCT E.ID AS SC_EVENTPARATT_ID, E.SC_EVENTPAR_ID, E.ATT_DATE, E.ID_STORITVE, E.PAYER_ID, E.PRICE_ATTENDANCE, E.PAYMENT_DATE,
  M.N_RACUNA AS M_STORITVE_N_RACUNA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  P.IME AS PAYER_IME, P.PRIIMEK AS PAYER_PRIIMEK, P.ID_MEMBER AS PAYER_ID_MEMBER, P.YACHT_CLUB_ID AS PAYER_YACHT_CLUB_ID
	FROM SC_EVENTPARATT E
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = E.ID_STORITVE
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_STORITVE = E.ID_STORITVE AND (R.ZAP_ST IS NULL OR R.ZAP_ST = 1)
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = R.ID_SALDKONT 
  LEFT OUTER JOIN KUPCI P ON P.ID = E.PAYER_ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (611, SYSDATE, '5.5', 531, 'SC payment date');
